# README.md

## Current

This repository has been refactored a bit to enable the auto merging functionality of ansible inventorys and vars plugins.
As such a brakedown of the following folders should be explained.

`inventory/`:

This folder should contain yaml files with host definitions, one yaml file per project / customer depending on size.

`group_vars/`:

This folder should be used for all groups vars.

`host_vars/`:

Ideally configuring host vars here should be avoided, these should be set at the group level unless specific overides are needed. However these are probbly best placed in host inventory unless the host is patten matched.

Long term ideally we should have a `site.yml` that will run all the config playbooks within this repo. I would imagine we will have some other types of playbooks such as patching which will not be as sensible to include in such a playbook.

### Code Quality Guidelines

Ideally all commited ansible will pass ansible-lint for latest ansible core release. This does mean that full module names should be used.

Role's should be using templates as much as possible to ensure that configs are idpotent as possible, please avoid file module for config files even if we dont need to template use a template with no vars.




### CMD Example

```bash
ansible-playbook icinga.yml --ask-vault-pass --check
# vs old 
ansible-playbook -i hosts icinga.yml --ask-vault-pass --check
```







## Original



This is an index of all of the ansible scripts used for building Telos Digital systems, as created by Peter Edmond

If running under sudo, then:
eval `ssh-agent`
ssh-add
in order to avoid retyping in the password all the time!

icinga.yml
----------------

Playbook configures the Telos Digital ICINGA2 monitoring system


eoq.yml
----------------

Playbook configures the Telos Digital ICINGA2 monitoring system



INSTALLATION
============
Example use of repo:

ansible-playbook -i hosts icinga.yml --ask-vault-pass --check
ansible-playbook -i hosts eoq.yml --ask-vault-pass --check

